## ros-one-test-grpc 0.0.17-1jammy.20251023.0120

=== debian/changelog ===
ros-one-test-grpc (0.0.17-1jammy.20251023.0120) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@gmail.com>  Thu, 23 Oct 2025 01:20:56 +0000

ros-one-test-grpc (0.0.17-0jammy) jammy; urgency=high

  * Allow users settings CXX standard (#63 <https://github.com/CogRob/catkin_grpc/issues/63>)
  * Exclude unsecure library from exported libraries (#62 <https://github.com/CogRob/catkin_grpc/issues/62>)
  * Fix bug in realpath (#61 <https://github.com/CogRob/catkin_grpc/issues/61>)
  * Depend on roscpp (#59 <https://github.com/CogRob/catkin_grpc/issues/59>)
  * Set the right version for test_grpc
  * Add CHANGELOG.rst for test_grpc
  * Add package to test grpc (#57 <https://github.com/CogRob/catkin_grpc/issues/57>)
    * Add package to test grpc
    * Enable Github Actions
    * support realpath on cmake <3.19
  * Contributors: Ryohei Ueda, Yuki Furuta
  * Add package to test grpc (#57 <https://github.com/CogRob/catkin_grpc/issues/57>)
    * Add package to test grpc
    * Enable Github Actions
    * support realpath on cmake <3.19
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-test-grpc (0.0.16-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 31 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.15-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Tue, 28 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.14-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 24 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.13-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 17 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.12-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Thu, 11 May 2023 00:00:00 -0000

ros-one-test-grpc (0.0.11-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Thu, 02 Jun 2022 00:00:00 -0000

ros-one-test-grpc (0.0.10-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 26 Sep 2018 00:00:00 -0000

ros-one-test-grpc (0.0.9-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 23:33:00 -0000

ros-one-test-grpc (0.0.8-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 23:07:00 -0000

ros-one-test-grpc (0.0.7-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 18:13:00 -0000

ros-one-test-grpc (0.0.6-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-test-grpc (0.0.5-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 06 Oct 2017 00:00:00 -0000

ros-one-test-grpc (0.0.4-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Mon, 02 Oct 2017 00:00:00 -0000

ros-one-test-grpc (0.0.3-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Sat, 30 Sep 2017 00:00:00 -0000

ros-one-test-grpc (0.0.2-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Tue, 05 Sep 2017 00:00:00 -0000

## ros-one-test-grpc 0.0.17-1jammy.20260220.2212

=== debian/changelog ===
ros-one-test-grpc (0.0.17-1jammy.20260220.2212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@gmail.com>  Fri, 20 Feb 2026 22:12:07 +0000

## ros-one-test-grpc 0.0.17-1noble.20251023.0118

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(test_grpc)

# Check if the libraries installed when building the package `grpc`
# do not have name collisions with system libraries
find_library(LIB_Z z REQUIRED)
find_library(LIB_SSL ssl REQUIRED)
find_library(LIB_CRYPTO crypto REQUIRED)
find_library(LIB_PROTOC protoc)

find_package(catkin REQUIRED COMPONENTS
  grpc
  roscpp
)

function(realpath path var)
  if(CMAKE_VERSION VERSION_LESS 3.19)
    find_program(REALPATH realpath REQUIRED)
    execute_process(
      COMMAND "${REALPATH}" "${path}"
      OUTPUT_VARIABLE realpath_output
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )
  else()
    file(REAL_PATH "${path}" realpath_output)
  endif()
  set("${var}" "${realpath_output}" PARENT_SCOPE)
endfunction()

realpath("${grpc_DIR}/../../../lib" grpc_LIBRARY_DIR)
function(assert_grpc_library lib)
  realpath("${lib}" LIBRARY)
  string(FIND "${grpc_LIBRARY_DIR}" "${LIBRARY}" index)
  if(index LESS 0)
    message(DEBUG "${LIBRARY} is system library")
  else()
    message(FATAL_ERROR
      "${LIBRARY} is subdir of ${grpc_LIBRARY_DIR}"
      " and overrides the system library")
  endif()
endfunction()
assert_grpc_library(${LIB_Z})
assert_grpc_library(${LIB_SSL})
assert_grpc_library(${LIB_CRYPTO})
if(LIB_PROTOC)
  assert_grpc_library(${LIB_PROTOC})
endif()

catkin_package(CATKIN_DEPENDS grpc)

if(NOT DEFINED CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

generate_proto(${PROJECT_NAME}
  GRPC
  FILES protos/Header.proto grpcs/Chat.proto
)

include_directories(${catkin_INCLUDE_DIRS})
add_executable(chat_server src/chat_server.cpp)
target_link_libraries(chat_server ${catkin_LIBRARIES} ${ALL_PROTOBUF_LIBS} ${ALL_GRPC_LIBS} ${PROJECT_NAME})
add_executable(chat_client src/chat_client.cpp)
target_link_libraries(chat_client ${catkin_LIBRARIES} ${ALL_PROTOBUF_LIBS} ${ALL_GRPC_LIBS} ${PROJECT_NAME})

install(TARGETS chat_server chat_client
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY tests
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(tests/test_chat_service.test)
endif()

=== debian/changelog ===
ros-one-test-grpc (0.0.17-1noble.20251023.0118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@gmail.com>  Thu, 23 Oct 2025 01:18:36 +0000

ros-one-test-grpc (0.0.17-0noble) noble; urgency=high

  * Allow users settings CXX standard (#63 <https://github.com/CogRob/catkin_grpc/issues/63>)
  * Exclude unsecure library from exported libraries (#62 <https://github.com/CogRob/catkin_grpc/issues/62>)
  * Fix bug in realpath (#61 <https://github.com/CogRob/catkin_grpc/issues/61>)
  * Depend on roscpp (#59 <https://github.com/CogRob/catkin_grpc/issues/59>)
  * Set the right version for test_grpc
  * Add CHANGELOG.rst for test_grpc
  * Add package to test grpc (#57 <https://github.com/CogRob/catkin_grpc/issues/57>)
    * Add package to test grpc
    * Enable Github Actions
    * support realpath on cmake <3.19
  * Contributors: Ryohei Ueda, Yuki Furuta
  * Add package to test grpc (#57 <https://github.com/CogRob/catkin_grpc/issues/57>)
    * Add package to test grpc
    * Enable Github Actions
    * support realpath on cmake <3.19
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-test-grpc (0.0.16-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 31 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.15-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Tue, 28 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.14-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 24 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.13-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 17 Jan 2025 00:00:00 -0000

ros-one-test-grpc (0.0.12-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Thu, 11 May 2023 00:00:00 -0000

ros-one-test-grpc (0.0.11-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Thu, 02 Jun 2022 00:00:00 -0000

ros-one-test-grpc (0.0.10-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 26 Sep 2018 00:00:00 -0000

ros-one-test-grpc (0.0.9-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 23:33:00 -0000

ros-one-test-grpc (0.0.8-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 23:07:00 -0000

ros-one-test-grpc (0.0.7-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Wed, 18 Apr 2018 18:13:00 -0000

ros-one-test-grpc (0.0.6-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-test-grpc (0.0.5-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Fri, 06 Oct 2017 00:00:00 -0000

ros-one-test-grpc (0.0.4-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Mon, 02 Oct 2017 00:00:00 -0000

ros-one-test-grpc (0.0.3-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Sat, 30 Sep 2017 00:00:00 -0000

ros-one-test-grpc (0.0.2-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@gmail.com>  Tue, 05 Sep 2017 00:00:00 -0000

=== debian/control ===
Source: ros-one-test-grpc
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-grpc, ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-test-grpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-grpc, ros-one-roscpp
Description: A package for testing the grpc package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-test-grpc//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-test-grpc 0.0.17-1noble.20260220.2222

=== debian/changelog ===
ros-one-test-grpc (0.0.17-1noble.20260220.2222) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@gmail.com>  Fri, 20 Feb 2026 22:22:36 +0000
